<?php

namespace Lc\SovBundle\Factory\Ticket;

use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Ticket\TicketMessageInterface;

class TicketMessageFactory extends AbstractFactory
{
    public function getEntityClass()
    {
        return TicketMessageInterface::class;
    }

    public function create($params = array())
    {
        if (!isset($params['status'])) {
            $params['status'] = 1;
        }

        return parent::create($params);
    }
}
